<div class="container mt-5 main" style="overflow-x: clip;">
    <div>
     
        <div class="row mb-2 mt-0">
            <div class="shadow rounded p-2"  [ngStyle]="{ 'background-color': color }" style="color: white; text-align: center; font-size: 12px;">
                En az bir adet bölge için çevre ölçünü girmelisin. <br>
                Bilmediğin bölgeleri boş bırakarak "Kaydet" butonuna basabilirsin. Eksik bölgeleri tamamlaman için seni yönlendireceğiz.
            </div>
        </div>
        <div class="row" *ngIf="gender != 1">
            <mat-form-field class="example-full-width mx-auto">
                <mat-label>Göğüs</mat-label>
                <input
                  type="number"
                  matInput
                  placeholder="Göğüs Ölçünüz"
                  (input)="setCustomerMeasure($event, 'manChest')"
                  autocomplete="off"
                />
                <mat-hint *ngIf="hasChestError" style="color: red">
                  {{ chestErrorMessage }}!
                </mat-hint>
              </mat-form-field>
        </div>
        <div class="row" *ngIf="gender == 1">
            <mat-form-field class="example-full-width mx-auto">
                <mat-label>Göğüs Üstü</mat-label>
                <input
                  type="number"
                  matInput
                  placeholder="Göğüs üstü Ölçünüz"
                  (input)="setCustomerMeasure($event, 'womanTopChest')"
                  autocomplete="off"
                />
                <mat-hint *ngIf="hasTopChestError" style="color: red">
                  {{ topChestErrorMessage }}!
                </mat-hint>
              </mat-form-field>
        </div>
        <div class="row" *ngIf="gender == 1">
            <mat-form-field class="example-full-width mx-auto">
                <mat-label>Göğüs Altı</mat-label>
                <input
                  type="number"
                  matInput
                  placeholder="Göğüs atlı Ölçünüz"
                  (input)="setCustomerMeasure($event, 'womanBottomChest')"
                  autocomplete="off"
                />
                <mat-hint *ngIf="hasBottomChestError" style="color: red">
                  {{ bottomChestErrorMessage }}!
                </mat-hint>
              </mat-form-field>
        </div>
        <div class="row">
            <mat-form-field class="example-full-width mx-auto">
                <mat-label>Bel</mat-label>
                <input
                  type="number"
                  matInput
                  placeholder="Bel Ölçünüz"
                  (input)="setCustomerMeasure($event, 'waist')"
                  autocomplete="off"
                />
                <mat-hint *ngIf="hasWaistError" style="color: red">
                  {{ waistErrorMessage }}!
                </mat-hint>
              </mat-form-field>
        </div>
        <div class="row">
            <mat-form-field class="example-full-width component mx-auto webInput">
                <mat-label>Kalça</mat-label>
                <input
                  type="number"
                  matInput
                  placeholder="Kalça Ölçünüz"
                  (input)="setCustomerMeasure($event, 'hip')"
                  autocomplete="off"
                />
                <mat-hint *ngIf="hasHipError" style="color: red">
                  {{ hipErrorMessage }}!
                </mat-hint>
              </mat-form-field>
        </div>
       
  
      
      </div>
      <button
      type="button"
      class="btn btn-secondary w-100 mt-2 border-0"
      style="margin-right: 25%"
      [ngStyle]="{ 'background-color': color }"
      (click)="save()"
      [disabled]="isDisabled()"
    >
      Kaydet
      <!-- <img src="../../assets/333-loader-4.gif" width="15%" alt="" *ngIf="showButtonSpinner"> -->
    </button>

    <div style="font-size: 14px;text-align: center; text-decoration: underline;cursor: pointer;" class="mt-1"  (click)="goToInformationPage()">
       
        <b>
         Bilgilerim sayfasına dön
        </b>
      </div>
</div>